
function split(inputstr, sep) -- https://stackoverflow.com/questions/1426954/split-string-in-lua#comment73602874_7615129
  sep=sep or '%s' 
  local t={}  
  for field,s in string.gmatch(inputstr, "([^"..sep.."]*)("..sep.."?)") 
  do 
    table.insert(t,field)  
    if s=="" then return t end 
  end 
end

function loadFromDataString()
  local out = {}
  local x = 1
  local data = split(dataString,"~")
  local length = #(data)
  for i = 1, length do 
    if data[i] ~= "" and data[i] ~= nil then
      out[x] = split(data[i],"_")
      x = x + 1
    end
  end
  return out
end


function isInvOpen() --taken (and edited) from mod "In-game Stats" by TooMuchDeezNut 
	if not player then
		return false
	else
		inventory = EntityGetFirstComponent(player, "InventoryGuiComponent")
		if ComponentGetValue(inventory, "mActive") == "1" then
			return true
		else
			return false
		end
	end
end

function find_polymorphed_players() --thanks to Evaisa (stolen from Goki)
  local nearby_polymorph = EntityGetWithTag( "polymorphed" ) or {};
  local polymorphed_players = {};
  for _,entity in pairs( nearby_polymorph ) do
      local game_stats = EntityGetFirstComponent( entity, "GameStatsComponent" );
      if game_stats ~= nil then
          if ComponentGetValue2( game_stats, "is_player" ) == true then
              table.insert( polymorphed_players, entity );
          end
      end
  end
  return polymorphed_players;
end
