dofile("data/scripts/lib/mod_settings.lua")

local mod_id = "stat_graph"
mod_settings_version = 1
mod_settings = {
  {
    id = "GraphInvOpen",
    ui_name = "Open graph with inventory?",
    ui_description = "If 'on' the graph will open when the inventory is opened.",
    value_default = false,
    scope = MOD_SETTING_SCOPE_RUNTIME,
  },
  {
    id = "GraphInvClose",
    ui_name = "Close graph with inventory?",
    ui_description = "If 'on' the graph will minimize when the inventory is closed.",
    value_default = true,
    scope = MOD_SETTING_SCOPE_RUNTIME,
  },
}

function ModSettingsUpdate( init_scope )
	local old_version = mod_settings_get_version( mod_id )
	mod_settings_update( mod_id, mod_settings, init_scope )
end

function ModSettingsGuiCount()
	return mod_settings_gui_count( mod_id, mod_settings )
end

function ModSettingsGui( gui, in_main_menu )
	mod_settings_gui( mod_id, mod_settings, gui, in_main_menu )
end